<?php

/*  Alternate WebKit
(C) 2011 by Alternate Tools
-----------------------------------------------------

File:         class_address.php
Description:  Class cAddress definition,
              subclass for cUser and cOrder

*/

if (!defined("CLASS_ADDRESS"))
{
    define ("CLASS_ADDRESS", "DEFINED");

    class cAddress
    {
        var $m_addrFirstName;
        var $m_addrLastName;
        var $m_addrStreet;
        var $m_addrStreetNo;
        var $m_addrCity;
        var $m_addrZipCode;
        var $m_addrLand;
        var $m_addrTelephoneNo;
        var $m_addrEmail;

        function cAddress() // PHP 4
        {
            $this->InitAddr();
        }

        function __construct()
        {
            $this->InitAddr();
        }

        function InitAddr()
        {
            $this->m_addrFirstName = "";
            $this->m_addrLastName = "";
            $this->m_addrStreet = "";
            $this->m_addrStreetNo = "";
            $this->m_addrCity = "";
            $this->m_addrZipCode = "";
            $this->m_addrLand = "";
            $this->m_addrTelephoneNo = "";
            $this->m_addrEmail = "";
        }

        function GetFirstName()
        {
            return $this->m_addrFirstName;
        }
        function SetFirstName($firstName)
        {
            $this->m_addrFirstName = $firstName;
        }

        function GetLastName()
        {
            return $this->m_addrLastName;
        }
        function SetLastName($lastName)
        {
            $this->m_addrLastName = $lastName;
        }

        function GetStreet()
        {
            return $this->m_addrStreet;
        }
        function SetStreet($street)
        {
            $this->m_addrStreet = $street;
        }

        function GetStreetNo()
        {
            return $this->m_addrStreetNo;
        }
        function SetStreetNo($streetNo)
        {
            $this->m_addrStreetNo = $streetNo;
        }

        function GetCity()
        {
            return $this->m_addrCity;
        }
        function SetCity($city)
        {
            $this->m_addrCity = $city;
        }

        function GetZipCode()
        {
            return $this->m_addrZipCode;
        }
        function SetZipCode($zipCode)
        {
            $this->m_addrZipCode = $zipCode;
        }

        function GetLand()
        {
            return $this->m_addrLand;
        }
        function SetLand($land)
        {
            $this->m_addrLand = $land;
        }

        function GetTelephoneNo()
        {
            return $this->m_addrTelephoneNo;
        }
        function SetTelephoneNo($telephoneNo)
        {
            $this->m_addrTelephoneNo = $telephoneNo;
        }

        function GetEmail()
        {
            return $this->m_addrEmail;
        }
        function SetEmail($eMail)
        {
            $this->m_addrEmail = $eMail;
        }

    }
}